Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 591182 - mc fails to correctly unpack tar.gz archive
mc fails to correctly unpack tar.gz archive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-11 11:45 EDT by Stanislav Ochotnicky
Modified: 2013-07-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:32:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2010-05-11 11:45:05 EDT
Description of problem:
When unpacking archive with midnight commander I found it failed to correctly unpack some filenames (probably to do with their lenght)

Version-Release number of selected component (if applicable):
4.7.1-2

How reproducible:
Always

Steps to Reproduce:
1. yum install mc
2. wget http://archive.apache.org/dist/commons/net/source/commons-net-2.0-src.tar.gz
3. use mc to open downloaded file and copy contents somewhere
4. go into subdirectory commons-net-2.0-src/src/main/java/org/apache/commons/net/ftp/parser

  
Actual results:
Filenames in subdirectory are not correct (several *.java files have unfinished filenames)

Expected results:
Correct filenames

Additional info:
Comment 1 Denys Vlasenko 2010-10-06 08:36:13 EDT
Confirmed.

commons-net-2.0-src/src/main/java/org/apache/commons/net/ftp/parser/EnterpriseUnixFTPEntryParser.java

is shown without last 'a' in mc panel.

Note that this name is 101 chars long and thus doesn't fit into standard tar header, therefore tar needs to use tricks to store it.

Here is how this name is encoded in the tarball:

00093C00 2E 2F 2E 2F  40 4C 6F 6E  67 4C 69 6E  6B 00 00 00 ././@LongLink^^^@
00093C10 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093C20 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093C30 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093C40 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093C50 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093C60 00 00 00 00  31 30 30 36  34 34 20 00  20 20 20 20 ^^^^100644 ^
00093C70 20 30 20 00  20 20 20 20  20 30 20 00  20 20 20 20  0 ^     0 ^
00093C80 20 20 20 20  31 34 36 20  31 31 30 37  36 36 36 34     146 11076664
00093C90 36 32 30 20  20 31 30 32  36 34 00 20  4C 00 00 00 620  10264^ L^^^@
00093CA0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093CB0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093CC0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093CD0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093CE0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093CF0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D00 00 75 73 74  61 72 00 00  00 00 00 00  00 00 00 00 ^ustar^^^^^^^^^^@
00093D10 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D20 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D30 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D40 00 00 00 00  00 00 00 00  00 20 20 20  20 20 30 20 ^^^^^^^^^     0
00093D50 00 20 20 20  20 20 30 20  00 00 00 00  00 00 00 00 ^     0 ^^^^^^^^@
00093D60 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D70 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D80 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093D90 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DA0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DB0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DC0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DD0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DE0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093DF0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
00093E00 63 6F 6D 6D  6F 6E 73 2D  6E 65 74 2D  32 2E 30 2D commons-net-2.0-
00093E10 73 72 63 2F  73 72 63 2F  6D 61 69 6E  2F 6A 61 76 src/src/main/jav
00093E20 61 2F 6F 72  67 2F 61 70  61 63 68 65  2F 63 6F 6D a/org/apache/com
00093E30 6D 6F 6E 73  2F 6E 65 74  2F 66 74 70  2F 70 61 72 mons/net/ftp/par
00093E40 73 65 72 2F  45 6E 74 65  72 70 72 69  73 65 55 6E ser/EnterpriseUn
00093E50 69 78 46 54  50 45 6E 74  72 79 50 61  72 73 65 72 ixFTPEntryParser
00093E60 2E 6A 61 76  61 00 00 00  00 00 00 00  00 00 00 00 .java^^^^^^^^^^^
00093E70 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^
...nulls...
00093FF0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^
00094000 63 6F 6D 6D  6F 6E 73 2D  6E 65 74 2D  32 2E 30 2D commons-net-2.0-
00094010 73 72 63 2F  73 72 63 2F  6D 61 69 6E  2F 6A 61 76 src/src/main/jav
00094020 61 2F 6F 72  67 2F 61 70  61 63 68 65  2F 63 6F 6D a/org/apache/com
00094030 6D 6F 6E 73  2F 6E 65 74  2F 66 74 70  2F 70 61 72 mons/net/ftp/par
00094040 73 65 72 2F  45 6E 74 65  72 70 72 69  73 65 55 6E ser/EnterpriseUn
00094050 69 78 46 54  50 45 6E 74  72 79 50 61  72 73 65 72 ixFTPEntryParser
00094060 2E 6A 61 76  31 30 30 36  34 34 20 00  20 20 20 20 .jav100644 ^
00094070 20 30 20 00  20 20 20 20  20 30 20 00  20 20 20 20  0 ^     0 ^
00094080 20 20 31 33  35 30 36 20  31 31 30 37  36 36 36 32   13506 11076662
00094090 32 32 37 20  20 33 31 30  31 35 00 20  30 00 00 00 227  31015^ 0^^^@
000940A0 00 00 00 00  00 00 00 00  00 00 00 00  00 00 00 00 ^^^^^^^^^^^^^^^^@
...

Looks like mc mishandles "LongLink" extension.
Comment 2 Bug Zapper 2011-06-02 10:11:12 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Stanislav Ochotnicky 2011-06-02 10:24:31 EDT
I can reproduce the same thing on F15 so changing fedora version to prevent bugzapping
Comment 4 Fedora End Of Life 2012-08-07 15:32:54 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Stanislav Ochotnicky 2012-08-08 04:57:47 EDT
For the record this bug is not reproducible on F17 anymore (so has been fixed upstream probably)
Comment 6 Jindrich Novy 2012-08-08 06:27:45 EDT
Indeed.

Note You need to log in before you can comment on or make changes to this bug.